function [M,alpha] = naiveInfer(factors, query)
% naiveInfer Build full joint distribution (as a table), then marginalize
% function [F,alpha] = naiveInfer(factors, query)
%
% Inputs:
% factor{f} is a factor
% The evidence should be encoded using local evidence factors..
%
% Output:
% F = factor containing P(query|evidence)
% alpha = Z * P(evidence), where Z=1 for a Bayes net.


NF = length(factors);
F = factorMake([], 1, 1);
for f=1:NF
  F = factorMultiply(F, factors{f});
end
rest = setdiff(F.scope, query);
M = factorMarginalize(F, rest);
[M, alpha] = factorNormalize(M);


